> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payaza.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Chargeback Transaction History

> The merchant can use this endpoint to fetch all chargeback transactions.



## OpenAPI

````yaml /openapi.json get /refund-chargeback/chargeback/merchant/api/chargeback_transaction_history
openapi: 3.0.1
info:
  title: Payaza Documentation
  version: 2.0.0
  description: >-
    API reference for processing payments using Card, Bank Transfer, USSD, and
    QR Code methods.
servers:
  - url: https://api.payaza.africa/live
security:
  - ApiKeyAuth: []
  - TenantID: []
  - ProductID: []
tags:
  - name: Transfers
    description: >-
      Transfers are transactions made from your Payaza account to beneficiaries.
      Merchants can instantly transfer funds from their available balance. For
      every transfer, you need to specify the amount and the beneficiary’s
      details. You become eligible to make transfers after you have been
      verified. (you sign up, finish account activation and KYC verification).
  - name: Payaza Account
    description: >-
      This is our internal account that can be used to make payouts to other
      bank accounts, in single or in bulk. The Payaza account can also be used
      to receive settlements. It can also be used to track the transfer status
      of your transactions and check your balance instantly
  - name: Sub Accounts
    description: >-
      This enables you to establish Sub Payaza accounts for your customers. Each
      sub-account comes with an assigned static virtual account, facilitating
      direct funding for individual accounts. Furthermore, the Main Payaza
      account can directly initiate funding for each sub-account. These
      sub-accounts serve the purpose of managing unique account positions or
      balances and facilitating disbursements from these positions to specified
      beneficiaries.
  - name: EUR Accounts
    description: >-
      This endpoints enable you to create EUR subaccounts which can be used to
      make transfers as required .
  - name: Apple Pay and Google Pay
    description: >-
      Apple Pay and Google Pay give your customers a fast, familiar, and secure
      way to complete payments. Our APIs provide a gateway to provide these
      services to your users for a smooth payment experience.
  - name: Virtual Accounts
    description: >-
      Virtual Accounts are bank accounts that are created for a specific purpose
      and last for specified durations. Virtual accounts are issued by Payaza’s
      partner banks. Our virtual account APIs can be used to create virtual
      accounts and perform other tasks relevant to virtual accounts. Virtual
      accounts are created to foster easy payment collections for your business
      and platform. 

      Static/Reserved Account: This virtual account is created by the merchant
      and remains valid indefinitely. It can be used multiple times and does not
      expire. 

      Dynamic Account: This virtual account is generated for a specific
      transaction or purpose. Please note that dynamic virtual account remains
      valid for a temporary period of time or until a payment of the specified
      amount is received. Upon expiry, a merchant can generate another one for a
      different purpose.
  - name: Card Collection
    description: >-
      The Card Collection APIs can be used to make card transactions, refund
      transactions that have been performed, check the status of a transaction
      and so much more.
  - name: Card Tokenisation
    description: >-
      The Card Tokenisation APIs are used to create card tokens, charge cards
      using tokens, retrieve all tokens created by a merchant account and
      deleting any card token as desired.
  - name: Refunds And Chargebacks
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Branches
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Auth-Capture-Void
    description: >-
      The Auth-Capture-Void APIs provide a two-phase payment process where
      transactions are first authorized, then captured or voided. This allows
      merchants to hold funds and complete the transaction in the future.
  - name: Momo and ZAR Collections
    description: APIs for MoMo, ZAR and XOF collections.
  - name: Check Transaction Status(Merchant Reference)
    description: >-
      This endpoint is used to check the transaction status of a transaction
      using the Merchant Reference..
paths:
  /refund-chargeback/chargeback/merchant/api/chargeback_transaction_history:
    get:
      tags:
        - Refunds And Chargebacks
      summary: Chargeback Transaction History
      description: The merchant can use this endpoint to fetch all chargeback transactions.
      parameters:
        - name: transaction_reference
          in: query
          required: false
          schema:
            type: string
          description: The unique identifier given to a particular transaction
        - name: from
          in: query
          required: false
          schema:
            type: string
            format: date
          description: The start date range to filter data in YYYY-MM-DD format
        - name: to
          in: query
          required: false
          schema:
            type: string
            format: date
          description: The end date range to filter data in YYYY-MM-DD format
        - name: page
          in: query
          required: true
          schema:
            type: string
          description: The page number
        - name: size
          in: query
          required: true
          schema:
            type: integer
          description: Number of items per page
      responses:
        '200':
          description: Chargeback Request Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/chargebackTransactionHistoryResponse'
              examples:
                success:
                  summary: Chargeback Transaction History Response
                  value:
                    status: success
                    message: Chargeback History Success
                    data:
                      content:
                        - id: 39
                          rrn: '401012220020'
                          transaction_reference: PL1KBPSCJCRD60143
                          transaction:
                            id: 94223
                            description: Test
                            ended_at: '2024-07-23 12:32:17.686000'
                            fee_amount: 0
                            rrn: '401012220020'
                            collection_channel: Card
                            started_at: '2024-07-23 12:32:17.686000'
                            status_reason: Payment Approved
                            transaction_amount: 10.03
                            transaction_reference: PL1KBPSCJCRD60143
                            transaction_status: Completed
                            customer:
                              id: 97398
                              email_address: johndoe@yahoo.com
                              first_name: John
                              last_name: Doe
                              mobile_number: '08012345678'
                            currency:
                              id: 2
                              name: US Dollar
                              code: USD
                              html_code: '&#36;'
                              iso_code: USD
                              unicode: $
                              active: true
                          reason_message: fraudulent transaction
                          approval_code: '11111'
                          chargeback_date: '2024-07-26'
                          original_amt: '10.03'
                          chargeback_status: Accepted
                          accepted: true
                          chargeback_status_reason: fraud
                          evidence_url: ''
                          date_created: '2024-07-26 21:55:57.177028'
                          merchant_display_name: link
                      total: 1
                      last: true
                      first: true
                      pageable:
                        page: 1
                        size: 10
        '400':
          description: Invalid transaction reference format
      security:
        - ApiKeyAuth: []
components:
  schemas:
    chargebackTransactionHistoryResponse:
      title: Chargeback Transaction History Response
      type: object
      properties:
        status:
          type: string
          description: API operation status.
          example: success
        message:
          type: string
          description: Status message.
          example: Chargeback History Success
        data:
          type: object
          properties:
            content:
              type: array
              description: List of chargeback records.
              items:
                type: object
                properties:
                  id:
                    type: integer
                    description: Unique Chargeback ID.
                    example: 39
                  rrn:
                    type: string
                    description: Retrieval Reference Number.
                    example: '401012220020'
                  transaction_reference:
                    type: string
                    description: Reference for the transaction.
                    example: PL1KBPSCJCRD60143
                  transaction:
                    type: object
                    description: Details of the transaction.
                    properties:
                      id:
                        type: integer
                      description:
                        type: string
                      transaction_amount:
                        type: number
                        format: double
                      transaction_status:
                        type: string
                      transaction_reference:
                        type: string
                      rrn:
                        type: string
                      collection_channel:
                        type: string
                      started_at:
                        type: string
                        format: date-time
                      ended_at:
                        type: string
                        format: date-time
                      status_reason:
                        type: string
                      customer:
                        type: object
                        properties:
                          id:
                            type: integer
                          email_address:
                            type: string
                            format: email
                          first_name:
                            type: string
                          last_name:
                            type: string
                          mobile_number:
                            type: string
                      currency:
                        type: object
                        properties:
                          code:
                            type: string
                          name:
                            type: string
                          unicode:
                            type: string
                  reason_message:
                    type: string
                    description: Reason for chargeback initiation.
                    example: fraudulent transaction
                  approval_code:
                    type: string
                    description: Approval code.
                    example: '11111'
                  chargeback_date:
                    type: string
                    format: date
                    description: Date of chargeback.
                    example: '2024-07-26'
                  original_amt:
                    type: string
                    description: Original amount.
                    example: '10.03'
                  chargeback_status:
                    type: string
                    description: Current status.
                    example: Accepted
                  accepted:
                    type: boolean
                    description: Indicates if the chargeback was accepted.
                    example: true
                  chargeback_status_reason:
                    type: string
                    description: Reason for the status.
                    example: fraud
                  evidence_url:
                    type: string
                    description: URL to evidence document.
                    example: ''
                  date_created:
                    type: string
                    format: date-time
                    description: Record creation timestamp.
                    example: '2024-07-26 21:55:57.177028'
                  merchant_display_name:
                    type: string
                    description: Merchant name.
                    example: link
            total:
              type: integer
              description: Total number of records.
              example: 1
            first:
              type: boolean
              description: Is first page.
              example: true
            last:
              type: boolean
              description: Is last page.
              example: true
            pageable:
              type: object
              description: Pagination details.
              properties:
                page:
                  type: integer
                  example: 1
                size:
                  type: integer
                  example: 10
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Payaza {{Public API Key in Base 64}}
    TenantID:
      type: apiKey
      in: header
      name: X-TenantID
      description: live or test
    ProductID:
      type: apiKey
      in: header
      name: X-ProductID
      description: 'default value is ‟app” '

````